/*  SEP1000 - function translating 1000 into "1'000" and so (using sepSymbol)
    Copyright (C) 1999  Sergey Fadeyev, 2:5020/877

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <strstrea.h>
#include <strclass.h>

string sep1000(int integer)
{
    strstream c;
    string s1,s2;

    c<<integer;
    c>>s1;

    s1.reverse();
    if(s1.length()<4)
        s2=s1;
    else
        while(1)
        {
            s2+=s1.before(3)+(char)sepSymbol;
            s1=s1.after(2);
            if(s1.length()<4)
            {
                s2+=s1;
                break;
            }
        }
    return reverse(s2);
}
